
#include <io_exception.hpp>
#include <sstream>

namespace cpe
{
std::string io_exception::info() const
{
    return message+" in file ["+file+"] in function ["+caller+"] at line "+line+" \n";
}
io_exception::io_exception(){}
io_exception::io_exception(const std::string& msg_,const std::string& file_,const std::string& caller_,const int& line_)
    :message(msg_),caller(caller_),file(file_)
{
    std::ostringstream stream;
    stream<<line_;
    line=stream.str();
}


}
